org.hibernate.search.util.impl

## Class LRUMap

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<K,V>
    - - java.util.LinkedHashMap
      - - org.hibernate.search.util.impl.LRUMap

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class LRUMap
      extends LinkedHashMap
      implements Serializable

  Copied from Hibernate Core's org.hibernate.util.LRUMap A simple LRU cache that implements the `Map` interface. Instances are not thread-safe and should be synchronized externally, for instance by using `Collections.synchronizedMap(java.util.Map<K, V>)`.
  Author:
    Manuel Dominguez Sarmiento
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LRUMap(int maxEntries)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `removeEldestEntry(Map.Entry eldest)`

    - ### Methods inherited from class java.util.LinkedHashMap

      `clear, containsValue, entrySet, forEach, get, getOrDefault, keySet, replaceAll, values`

    - ### Methods inherited from class java.util.HashMap

      `clone, compute, computeIfAbsent, computeIfPresent, containsKey, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, containsKey, equals, hashCode, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

- - ### Constructor Detail

    - #### LRUMap

          public LRUMap(int maxEntries)

  - ### Method Detail

    - #### removeEldestEntry

          protected boolean removeEldestEntry(Map.Entry eldest)

      Overrides:
        `removeEldestEntry` in class `LinkedHashMap`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved